#ifndef MAIN_H
#define MAIN_H

#include <stdlib.h>
#include <stdio.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <inttypes.h>
#include <string.h>
#include <math.h>

//#################################### check CPU Takt
#ifndef F_CPU
#define F_CPU 16000000UL
#endif
/*
#if F_CPU == 16000000L
#define OCR_1MS 125
#elif F_CPU == 14745600L
#define OCR_1MS 115
#endif
*/
//#################################### UART
#define UART_BAUD_RATE      38400  						// Baud
#define UART1_BAUD_RATE     38400  						// Baud

//#################################### Macros
#define uniq(LOW,HEIGHT)	((HEIGHT << 8)|LOW)			// 2x 8Bit 	--> 16Bit
#define LOW_BYTE(x)        	(x & 0xff)					// 16Bit 	--> 8Bit
#define HIGH_BYTE(x)       	((x >> 8) & 0xff)			// 16Bit 	--> 8Bit


#define sbi(ADDRESS,BIT) 	((ADDRESS) |= (1<<(BIT)))	// set Bit
#define cbi(ADDRESS,BIT) 	((ADDRESS) &= ~(1<<(BIT)))	// clear Bit
#define	toggle(ADDRESS,BIT)	((ADDRESS) ^= (1<<BIT))		// Bit umschalten

#define	bis(ADDRESS,BIT)	(ADDRESS & (1<<BIT))		// bit is set?
#define	bic(ADDRESS,BIT)	(!(ADDRESS & (1<<BIT)))		// bit is clear?


char 	sd_buffer[400];
uint8_t sd_buffer_lng;
double	time;


//####################################
#endif
